Name:       phoronix-test-suite
Version:    4.8.3
Release:    1%{?dist}
Summary:    An Automated, Open-Source Testing Framework

Group:      Applications/System
License:    GPLv3+
URL:        http://%{name}.com/
Source0:    http://www.%{name}.com/releases/%{name}-%{version}.tar.gz
Source1:    README.Fedora
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires: desktop-file-utils

Requires: php-cli
Requires: php-gd
Requires: php-fpdf
Requires: php-process
Requires: php-xml
Requires: hicolor-icon-theme

#These packages are not included anymore
#Packages required by tests. Use the following command to create this list:
#cat phoronix-test-suite/pts-core/external-test-dependencies/xml/fedora-packages.xml phoronix-test-suite/pts-core/external-test-dependencies/xml/generic-packages.xml| grep PackageName |sed -e 's/^.*<PackageName>\([^<]*\)<\/PackageName>.*$/\1/g' |xargs yum info|grep Name|sed -e 's/.*:\s\([^\s]*\)/\1/g'|grep -v devel$|sort|uniq|xargs
#Requires: autoconf automake bison blas cmake curl flex gcc gcc-c++ gcc-gfortran jam libcurl libtool make openmpi p7zip perl python scons tcl tcsh yasm

#Packages only in Fedora
#%{?fedora:Requires: perl-SDL freeimage}

%description
The Phoronix Test Suite is the most comprehensive testing and benchmarking 
platform available for the Linux operating system. This software is designed to 
effectively carry out both qualitative and quantitative benchmarks in a clean, 
reproducible, and easy-to-use manner. The Phoronix Test Suite consists of a 
lightweight processing core (pts-core) with each benchmark consisting of an 
XML-based profile with related resource scripts. The process from the benchmark 
installation, to the actual benchmarking, to the parsing of important hardware 
and software components is heavily automated and completely repeatable, asking 
users only for confirmation of actions.

%prep
%setup -q -n %{name}
cp -p %{SOURCE1} documentation/
chmod +x pts-core/external-test-dependencies/scripts/install-macports-packages.sh

%build
# Nothing needed here

%install
rm -rf %{buildroot}

export DESTDIR=%{buildroot}
./install-sh %{_prefix}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}-launcher.desktop


%clean
rm -rf %{buildroot}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc %{_datadir}/doc/%{name} 
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/48x48/apps/phoronix-test-suite.png
%{_datadir}/icons/hicolor/64x64/mimetypes/application-x-openbenchmarking.png
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/bash_completion.d
%{_datadir}/applications/*
%{_datadir}/mime/packages/*

%changelog
* Fri Oct 04 2013 Markus Mayer <lotharlutz@gmx.de> - 4.8.3-1
- new upstream

* Sat Sep 07 2013 Markus Mayer <lotharlutz@gmx.de> - 4.8.2-1
- new upstream

* Fri Aug 16 2013 Markus Mayer <lotharlutz@gmx.de> - 4.8.1-1
- new upstream

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 07 2013 Markus Mayer <lotharlutz@gmx.de> - 4.6.1-1
- new upstream

* Wed May 22 2013 Markus Mayer <lotharlutz@gmx.de> - 4.6.0-1
- new upstream

* Sun Mar 17 2013 Markus Mayer <lotharlutz@gmx.de> - 4.4.1-1
- new upstream

* Wed Feb 27 2013 Markus Mayer <lotharlutz@gmx.de> - 4.4.0-1
- new upstream

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 20 2012 Markus Mayer <lotharlutz@gmx.de> - 4.2.0-1
- new upstream
- Fix wrong day of week in changelog

* Mon Dec 17 2012 Markus Mayer <lotharlutz@gmx.de> - 4.0.1-1
- new upstream
- do not install devel packages required by some test-suites

* Mon Aug 13 2012 Markus Mayer <lotharlutz@gmx.de> - 4.0.0-1
- new upstream

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 09 2012 Markus Mayer <lotharlutz@gmx.de> 3.8.0-1
- new upstream release
- drop fix_install.patch (merged upstream)
- remove devel packages 

* Thu Jan 05 2012 Markus Mayer <lotharlutz@gmx.de> 3.6.1-3
- really remove missing requires for rhel

* Thu Jan 05 2012 Markus Mayer <lotharlutz@gmx.de> 3.6.1-2
- remove missing requires for rhel

* Mon Jan 02 2012 Markus Mayer <lotharlutz@gmx.de> 3.6.1-1
- new upstream release
- install test dependencies
- fix openbenchmark launcher

* Tue Nov 01 2011 Markus Mayer <lotharlutz@gmx.de> 3.4.0-3
- requires hicolor-icon-theme

* Mon Oct 31 2011 Markus Mayer <lotharlutz@gmx.de> 3.4.0-2
- mark bash_completion.d as config file

* Sat Sep 10 2011 Markus Mayer <lotharlutz@gmx.de> 3.4.0-1
- new upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 16 2009 Joseph Smidt <josephsmidt@gmail.com> 1.8.1-1
- New upstream release

* Mon Apr 6 2009 Joseph Smidt <josephsmidt@gmail.com> 1.8.0-1
- New upstream release

* Thu Mar 26 2009 Joseph Smidt <josephsmidt@gmail.com> 1.6.0-4
- Changed GPLv3 to GPLv3+
- Set mode of dummy_script_module.sh to 755
- Included README.Fedora to explain non-free PTS tests

* Sat Mar 21 2009 Joseph Smidt <josephsmidt@gmail.com> 1.6.0-3
- Added full dependencies

* Tue Mar 3 2009 Joseph Smidt <josephsmidt@gmail.com> 1.6.0-2
- Removed explicite-lib dependencies

* Sun Feb 22 2009 Joseph Smidt <josephsmidt@gmail.com> 1.6.0-1
- Added full path to online source code.
- Added BuildArch: noarch
- Added an empty %%build section

* Sat Feb 14 2009 Joseph Smidt <fedoraproject.org> 1.6.0-0
- Initial RPM Release

